Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
smartlock::KeypadManager::KeypadEvent Struct Reference

Keypad base event. More...

`import <KeypadManager.idl;`

Inheritance diagram for smartlock::KeypadManager::KeypadEvent:

## Public Attributes
Keypad | keypad
| Affected keypad.
Keypad::MetaData | metaData
| MetaData of affected keypad.
Public Attributes inherited from idl::Event
Object | source
| IDL object that originated the event.

## Detailed Description

Keypad base event.

Definition at line 30 of file KeypadManager.idl.

## Member Data Documentation

## ◆ keypad

Keypad smartlock::KeypadManager::KeypadEvent::keypad

Affected keypad.

Definition at line 31 of file KeypadManager.idl.

## ◆ metaData

Keypad::MetaData smartlock::KeypadManager::KeypadEvent::metaData

MetaData of affected keypad.

Definition at line 32 of file KeypadManager.idl.

The documentation for this struct was generated from the following file:

- KeypadManager.idl